Nautilus Crashes

Bug #36225 reported by Geoffrey Makstutis
394
This bug affects 82 people
Affects Status Importance Assigned to Milestone
nautilus (Ubuntu)
Fix Released
Medium
Sebastien Bacher

Bug Description

Distribution: Ubuntu 5.10 (breezy)
Package: nautilus
Severity: Normal
Version: GNOME2.12.0 2.12.0
Gnome-Distributor: Ubuntu
Synopsis: Nautilus Crash

Description of the crash:
Nautilus not the active window. Closed a window in Firefox and was given
a message that Nautilus has closed/crashed.

It is not possible to re-create the crash with any consistency. It seems to
happen randomly under different circumstances, but in all cases Nautilus is not
the active window.

How often does this happen?
Intermittently, several times a day

Debugging Information:

Backtrace was generated from '/usr/bin/nautilus'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its
symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1224960320 (LWP 5909)]
[New Thread -1235358800 (LWP 5944)]
[New Thread -1235092560 (LWP 5943)]
[New Thread -1234826320 (LWP 5942)]
[New Thread -1234560080 (LWP 5941)]
[New Thread -1234293840 (LWP 5940)]
[New Thread -1233634384 (LWP 5938)]
[New Thread -1226789968 (LWP 5927)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb76f74ab in __waitpid_nocancel ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0xb7dbe508 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xffffe410 in __kernel_vsyscall ()
#5 0xb74749b1 in raise () from /lib/tls/i686/cmov/libc.so.6
#6 0xb74762c9 in abort () from /lib/tls/i686/cmov/libc.so.6
#7 0xb7698774 in g_logv () from /usr/lib/libglib-2.0.so.0
#8 0xb76987a8 in g_log () from /usr/lib/libglib-2.0.so.0
#9 0xb7698814 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#10 0x080c252b in fm_tree_model_get_type ()
#11 0xb7c39376 in gtk_tree_model_unref_node ()
   from /usr/lib/libgtk-x11-2.0.so.0
#12 0xb7c3f2a9 in gtk_tree_model_sort_convert_iter_to_child_iter ()
   from /usr/lib/libgtk-x11-2.0.so.0
#13 0xb7c39376 in gtk_tree_model_unref_node ()
   from /usr/lib/libgtk-x11-2.0.so.0
#14 0xb7c39cdd in gtk_tree_row_reference_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#15 0xb7c3a2b2 in gtk_tree_row_reference_free ()
   from /usr/lib/libgtk-x11-2.0.so.0
#16 0xb7c5ea61 in gtk_tree_view_set_model () from
/usr/lib/libgtk-x11-2.0.so.0
#17 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#18 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#19 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#20 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#21 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#22 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#23 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#24 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#25 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#26 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#27 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#28 0xb7ac769b in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#29 0xb7bcb06e in gtk_scrolled_window_get_shadow_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#30 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
#31 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#32 0xb7bcad30 in gtk_scrolled_window_get_shadow_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#33 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#34 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#35 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#36 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#37 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#38 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#39 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#40 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#41 0x080bddf7 in fm_tree_view_get_type ()
#42 0xb7709905 in g_object_unref () from /usr/lib/libgobject-2.0.so.0
#43 0xb7c713a4 in gtk_widget_unparent () from
/usr/lib/libgtk-x11-2.0.so.0
#44 0xb7ba6594 in gtk_notebook_next_page () from
/usr/lib/libgtk-x11-2.0.so.0
#45 0xb7ba8888 in gtk_notebook_popup_disable ()
   from /usr/lib/libgtk-x11-2.0.so.0
#46 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#47 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#48 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#49 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#50 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#51 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#52 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#53 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#54 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#55 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#56 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#57 0xb7acadc8 in gtk_box_reorder_child () from
/usr/lib/libgtk-x11-2.0.so.0
#58 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
#59 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#60 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#61 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#62 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#63 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#64 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#65 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#66 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#67 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#68 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#69 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#70 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#71 0xb7baf268 in gtk_paned_add1 () from /usr/lib/libgtk-x11-2.0.so.0
#72 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
#73 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#74 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#75 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#76 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#77 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#78 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#79 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#80 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#81 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#82 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#83 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#84 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#85 0xb7bec55c in gtk_table_get_homogeneous ()
   from /usr/lib/libgtk-x11-2.0.so.0
#86 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
#87 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#88 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#89 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#90 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#91 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#92 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#93 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#94 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#95 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#96 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#97 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#98 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#99 0xb7ac769b in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#100 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
#101 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
#102 0xb7c82fc0 in gtk_window_set_transient_for ()
   from /usr/lib/libgtk-x11-2.0.so.0
#103 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#104 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
#105 0xb77073a8 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
#106 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#107 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#108 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#109 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#110 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
#111 0xb7c7c56f in gtk_window_remove_embedded_xid ()
   from /usr/lib/libgtk-x11-2.0.so.0
#112 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
#113 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#114 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
#115 0x080694b4 in nautilus_application_close_all_spatial_windows ()
#116 0xb7b8d7cc in _gtk_marshal_BOOLEAN__BOXED ()
   from /usr/lib/libgtk-x11-2.0.so.0
#117 0xb77073a8 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
#118 0xb7715e8d in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#119 0xb7716ec3 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#120 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#121 0xb7c6f88f in gtk_widget_activate () from
/usr/lib/libgtk-x11-2.0.so.0
#122 0xb7b8c4c4 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
#123 0xb7a2fb1d in _gdk_events_queue () from
/usr/lib/libgdk-x11-2.0.so.0
#124 0xb768f48e in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#125 0xb7692496 in g_main_context_check () from
/usr/lib/libglib-2.0.so.0
#126 0xb7692783 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#127 0xb7b8b606 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#128 0x08079976 in main ()

Thread 8 (Thread -1226789968 (LWP 5927)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb750b0f4 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb76922e8 in g_main_context_check () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0xb7692783 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb776c37e in link_thread_io_context () from
/usr/lib/libORBit-2.so.0
No symbol table info available.
#5 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#6 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#7 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 7 (Thread -1233634384 (LWP 5938)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f3c96 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb796592b in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 6 (Thread -1234293840 (LWP 5940)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f3c96 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb796592b in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 5 (Thread -1234560080 (LWP 5941)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f3c96 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb796592b in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 4 (Thread -1234826320 (LWP 5942)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f3c96 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb796592b in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 3 (Thread -1235092560 (LWP 5943)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f3c96 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb796592b in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 2 (Thread -1235358800 (LWP 5944)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f3c96 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb796592b in _gnome_vfs_thread_pool_init ()
   from /usr/lib/libgnomevfs-2.so.0
No symbol table info available.
#3 0xb76ab844 in g_static_private_free () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb76f1361 in start_thread () from
/lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#5 0xb7514bde in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread -1224960320 (LWP 5909)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb76f74ab in __waitpid_nocancel ()
   from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#2 0xb7dbe508 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3 <signal handler called>
No symbol table info available.
#4 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#5 0xb74749b1 in raise () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#6 0xb74762c9 in abort () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#7 0xb7698774 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#8 0xb76987a8 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#9 0xb7698814 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#10 0x080c252b in fm_tree_model_get_type ()
No symbol table info available.
#11 0xb7c39376 in gtk_tree_model_unref_node ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0xb7c3f2a9 in gtk_tree_model_sort_convert_iter_to_child_iter ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0xb7c39376 in gtk_tree_model_unref_node ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0xb7c39cdd in gtk_tree_row_reference_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0xb7c3a2b2 in gtk_tree_row_reference_free ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0xb7c5ea61 in gtk_tree_view_set_model () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#18 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#19 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#20 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#21 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#22 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#23 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#26 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0xb7ac769b in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0xb7bcb06e in gtk_scrolled_window_get_shadow_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#31 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#32 0xb7bcad30 in gtk_scrolled_window_get_shadow_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#33 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#34 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#35 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#36 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#37 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#38 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#39 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#40 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#41 0x080bddf7 in fm_tree_view_get_type ()
No symbol table info available.
#42 0xb7709905 in g_object_unref () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#43 0xb7c713a4 in gtk_widget_unparent () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#44 0xb7ba6594 in gtk_notebook_next_page () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#45 0xb7ba8888 in gtk_notebook_popup_disable ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#46 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#47 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#48 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#49 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#50 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#51 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#52 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#53 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#54 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#55 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#56 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#57 0xb7acadc8 in gtk_box_reorder_child () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#58 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#59 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#60 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#61 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#62 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#63 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#64 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#65 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#66 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#67 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#68 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#69 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#70 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#71 0xb7baf268 in gtk_paned_add1 () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#72 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#73 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#74 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#75 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#76 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#77 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#78 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#79 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#80 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#81 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#82 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#83 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#84 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#85 0xb7bec55c in gtk_table_get_homogeneous ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#86 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#87 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#88 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#89 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#90 0xb77073a8 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#91 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#92 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#93 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#94 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#95 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#96 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#97 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#98 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#99 0xb7ac769b in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#100 0xb7b02dfe in gtk_container_foreach () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#101 0xb7b04b61 in gtk_container_unset_focus_chain ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#102 0xb7c82fc0 in gtk_window_set_transient_for ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#103 0xb7712ab3 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#104 0xb7706d75 in g_cclosure_new_swap () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#105 0xb77073a8 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#106 0xb771601f in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#107 0xb7717150 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#108 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#109 0xb7baa050 in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#110 0xb7c7571f in gtk_widget_hide_on_delete ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#111 0xb7c7c56f in gtk_window_remove_embedded_xid ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#112 0xb770a3aa in g_object_run_dispose () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#113 0xb7baa00c in gtk_object_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#114 0xb7c6e18e in gtk_widget_destroy () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#115 0x080694b4 in nautilus_application_close_all_spatial_windows ()
No symbol table info available.
#116 0xb7b8d7cc in _gtk_marshal_BOOLEAN__BOXED ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#117 0xb77073a8 in g_closure_invoke () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#118 0xb7715e8d in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#119 0xb7716ec3 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
No symbol table info available.
#120 0xb77174c3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
No symbol table info available.
#121 0xb7c6f88f in gtk_widget_activate () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#122 0xb7b8c4c4 in gtk_main_do_event () from
/usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#123 0xb7a2fb1d in _gdk_events_queue () from
/usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#124 0xb768f48e in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#125 0xb7692496 in g_main_context_check () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#126 0xb7692783 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#127 0xb7b8b606 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#128 0x08079976 in main ()
No symbol table info available.
#0 0xffffe410 in __kernel_vsyscall ()

http://bugzilla.gnome.org/show_bug.cgi?id=158506: http://bugzilla.gnome.org/show_bug.cgi?id=158506

Revision history for this message
Sebastien Bacher (seb128) wrote :

Thanks for your bug. Could you get a backtrace with the libgtk2.0-0-dbg and
nautilus-dbg packages installed?

Revision history for this message
Geoffrey Makstutis (g-makstutis) wrote :
Download full text (9.7 KiB)

(In reply to comment #1)
> Thanks for your bug. Could you get a backtrace with the libgtk2.0-0-dbg and
> nautilus-dbg packages installed?

Backtrace is below. Here's how it crashed this time:

terminal window open in background
nautilus file window open in background and navigated to an SMB file share
(mounted in fstab)
firefox open as active window.

closing firefox window throws an "Error" dialog box tellig me that nautilas has
crashed.

Backtrace was generated from '/usr/bin/nautilus'

Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1225787712 (LWP 5909)]
[New Thread -1236186192 (LWP 5944)]
[New Thread -1235919952 (LWP 5943)]
[New Thread -1235653712 (LWP 5942)]
[New Thread -1235387472 (LWP 5941)]
[New Thread -1235121232 (LWP 5940)]
[New Thread -1234461776 (LWP 5939)]
[New Thread -1227617360 (LWP 5925)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb762d4ab in __waitpid_nocancel ()
   from /lib/tls/i686/cmov/libpthread.so.0
#2 0xb7cf4508 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xffffe410 in __kernel_vsyscall ()
#5 0xb73aa9b1 in raise () from /lib/tls/i686/cmov/libc.so.6
#6 0xb73ac2c9 in abort () from /lib/tls/i686/cmov/libc.so.6
#7 0xb75ce774 in g_logv () from /usr/lib/libglib-2.0.so.0
#8 0xb75ce7a8 in g_log () from /usr/lib/libglib-2.0.so.0
#9 0xb75ce814 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#10 0x080c252b in fm_tree_model_unref_node (model=0x83fc478, iter=0xbfd1856c)
    at fm-tree-model.c:1514
#11 0xb7b6f376 in IA__gtk_tree_model_unref_node (tree_model=0x83fc478,
    iter=0xbfd1856c) at gtktreemodel.c:1307
#12 0xb7b752a9 in gtk_tree_model_sort_real_unref_node (tree_model=0x83fc7c0,
    iter=0xbfd185d0, propagate_unref=1) at gtktreemodelsort.c:1300
#13 0xb7b6f376 in IA__gtk_tree_model_unref_node (tree_model=0x83fc7c0,
    iter=0xbfd185d0) at gtktreemodel.c:1307
#14 0xb7b6fcdd in gtk_tree_row_reference_unref_path (path=0x85429d0,
    model=0x83fc7c0, depth=1) at gtktreemodel.c:1807
#15 0xb7b702b2 in IA__gtk_tree_row_reference_free (reference=0x85429f0)
    at gtktreemodel.c:2034
#16 0xb7b79955 in gtk_tree_selection_real_unselect_all (selection=0x83fcd20)
    at gtktreeselection.c:1077
#17 0xb7b79ac6 in _gtk_tree_selection_internal_select_node (
    selection=0x83fcd20, node=0x85f1768, tree=0x8568840, path=0x862b8e8,
    mode=0, override_browse_mode=0) at gtktreeselection.c:1398
#18 0xb7b8bd1c in gtk_tree_view_real_set_cursor (tree_view=0x83fcb60,
    path=0x862b8e8, clear_and_select=1, clamp_node=1) at gtktreeview.c:11256
#19 0xb7b92467 in IA__gtk_tree_view_set_cursor_on_cell (tree_view=0x83fcb60,
    path=0x862b8e8, focus_column=0x0, focus_cell=0x0, start_editing=0)
    at gtktreeview.c:11384
#20 0xb7b92520 in IA__gtk_tree_view_set_cursor (tree_view=0x0, path=0x0,
    focus_column=0x0, start_editing=0) at gtktreeview.c:11336
#21 0x080bb757 in show_selection_idle_callback (callback_data=0x0)
    at fm-tree-view.c:237
#22 0xb75c76f0 in g_child_watch_add () from /...

Read more...

Revision history for this message
Sebastien Bacher (seb128) wrote :

Thanks for the backtrace. That seems to be the same bug as
http://bugzilla.gnome.org/show_bug.cgi?id=158506. Can you get an another one
with libglib2-0-dbg and libgtk2.0-0-dbg the packages installed? Could also run
nautilus from a command line with "gnome-session-remove nautilus && nautilus"
and not the assertion printed?

Revision history for this message
Geoffrey Makstutis (g-makstutis) wrote :
Download full text (3.9 KiB)

OK. Installed that additional dbg packages you suggested. Running from
command-line as suggested. The crash produces the following:

Backtrace was generated from '/usr/bin/nautilus'

Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1225414976 (LWP 7051)]
[New Thread -1236071504 (LWP 7058)]
[New Thread -1235805264 (LWP 7057)]
[New Thread -1235539024 (LWP 7056)]
[New Thread -1235272784 (LWP 7055)]
[New Thread -1235006544 (LWP 7054)]
[New Thread -1234089040 (LWP 7053)]
[New Thread -1227244624 (LWP 7052)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb76884ab in __waitpid_nocancel () from /lib/tls/i686/cmov/libpthread.so.0
#2 0xb7d4f508 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xffffe410 in __kernel_vsyscall ()
#5 0xb74059b1 in raise () from /lib/tls/i686/cmov/libc.so.6
#6 0xb74072c9 in abort () from /lib/tls/i686/cmov/libc.so.6
#7 0xb7629774 in IA__g_logv (log_domain=) at gmessages.c:497
#8 0xb76297a8 in IA__g_log (log_domain=0x0, log_level=0, format=0x0)
    at gmessages.c:517
#9 0xb7629814 in IA__g_assert_warning (log_domain=0x0, file=0x0, line=0,
    pretty_function=0x80d9154 "fm_tree_model_unref_node",
    expression=0x80d140e "node->ref_count > 0") at gmessages.c:552
#10 0x080c252b in fm_tree_model_unref_node (model=0x837a3f0, iter=0xbfb7164c)
    at fm-tree-model.c:1514
#11 0xb7bca376 in IA__gtk_tree_model_unref_node (tree_model=0x837a3f0,
    iter=0xbfb7164c) at gtktreemodel.c:1307
#12 0xb7bd02a9 in gtk_tree_model_sort_real_unref_node (tree_model=0x837a430,
    iter=0xbfb716b0, propagate_unref=1) at gtktreemodelsort.c:1300
#13 0xb7bca376 in IA__gtk_tree_model_unref_node (tree_model=0x837a430,
    iter=0xbfb716b0) at gtktreemodel.c:1307
#14 0xb7bcacdd in gtk_tree_row_reference_unref_path (path=0x8288e70,
    model=0x837a430, depth=2) at gtktreemodel.c:1807
#15 0xb7bcb2b2 in IA__gtk_tree_row_reference_free (reference=0x85482b8)
    at gtktreemodel.c:2034
#16 0xb7bd4955 in gtk_tree_selection_real_unselect_all (selection=0x828f280)
    at gtktreeselection.c:1077
#17 0xb7bd4ac6 in _gtk_tree_selection_internal_select_node (
    selection=0x828f280, node=0x840206c, tree=0x828f040, path=0x8559f30,
    mode=0, override_browse_mode=0) at gtktreeselection.c:1398
#18 0xb7be6d1c in gtk_tree_view_real_set_cursor (tree_view=0x828f0f8,
    path=0x8559f30, clear_and_select=1, clamp_node=1) at gtktreeview.c:11256
#19 0xb7bed467 in IA__gtk_tree_view_set_cursor_on_cell (tree_view=0x828f0f8,
    path=0x8559f30, focus_column=0x0, focus_cell=0x0, start_editing=0)
    at gtktreeview.c:11384
#20 0xb7bed520 in IA__gtk_tree_view_set_cursor (tree_view=0x0, path=0x0,
    focus_column=0x0, start_editing=0) at gtktreeview.c:11336
#21 0x080bb757 in show_selection_idle_callback (callback_data=0x0)
    at fm-tree-view.c:237
#22 0xb76226f0 in g_idle_dispatch (source=0x83812d8,
    callback=0x80bb644 <show_selection_idle_callback>, user_data=0x0)
    at gmain.c:3813
#23 0xb762048e in IA__g_main_context_dispatch (con...

Read more...

Revision history for this message
Sebastien Bacher (seb128) wrote :

Thanks for the backtrace. I've put a comment upstream on
http://bugzilla.gnome.org/show_bug.cgi?id=158506. Do you use the browser (which
sidepane mode) or the spatial mode?

Revision history for this message
Sebastien Bacher (seb128) wrote :

*** Bug 22071 has been marked as a duplicate of this bug. ***

Revision history for this message
Matt Taylor (matt7aylor) wrote :

I am having the same problem, it tends to happen at random but I have noticed it
often happening when closing a Nautilus window (another may still be open).

I have a backtrace that I made with the packages mentioned in the comments here
installed if it is required.

I have been using browser mode with the places sidepane.

Revision history for this message
Sebastien Bacher (seb128) wrote :

could you copy the backtrace to a comment?

Revision history for this message
Matt Taylor (matt7aylor) wrote :
Download full text (16.2 KiB)

Console would give:
** ERROR **: file fm-tree-model.c: line 1510 (fm_tree_model_unref_node):
assertion failed: (parent->dummy_child_ref_count > 0)
aborting...

Backtrace was generated from '/usr/bin/nautilus'

Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
`system-supplied DSO at 0xffffe000' has disappeared; keeping its
symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1225943360 (LWP 28576)]
[New Thread -1239987280 (LWP 5616)]
[New Thread -1239721040 (LWP 5615)]
[New Thread -1239454800 (LWP 5614)]
[New Thread -1239188560 (LWP 5613)]
[New Thread -1238922320 (LWP 5612)]
[New Thread -1238635600 (LWP 30084)]
[New Thread -1238369360 (LWP 29055)]
[New Thread -1238103120 (LWP 29054)]
[New Thread -1237779536 (LWP 28993)]
[New Thread -1234617424 (LWP 28584)]
[New Thread -1227773008 (LWP 28577)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb76ba4ab in __waitpid_nocancel () from
/lib/tls/i686/cmov/libpthread.so.0
#2 0xb7d83508 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xffffe410 in __kernel_vsyscall ()
#5 0xb74379b1 in raise () from /lib/tls/i686/cmov/libc.so.6
#6 0xb74392c9 in abort () from /lib/tls/i686/cmov/libc.so.6
#7 0xb765b774 in IA__g_logv (log_domain=) at gmessages.c:497
#8 0xb765b7a8 in IA__g_log (log_domain=0x0, log_level=0, format=0x0)
    at gmessages.c:517
#9 0xb765b814 in IA__g_assert_warning (log_domain=0x0, file=0x0,
line=0,
    pretty_function=0x80d9154 "fm_tree_model_unref_node",
    expression=0x80d140e "node->ref_count > 0") at gmessages.c:552
#10 0x080c252b in fm_tree_model_unref_node (model=0x844a820,
iter=0xbfba2e4c)
    at fm-tree-model.c:1514
#11 0xb7bfc376 in IA__gtk_tree_model_unref_node (tree_model=0x844a820,
    iter=0xbfba2e4c) at gtktreemodel.c:1307
#12 0xb7c022a9 in gtk_tree_model_sort_real_unref_node
(tree_model=0x844a530,
    iter=0xbfba2eb0, propagate_unref=1) at gtktreemodelsort.c:1300
#13 0xb7bfc376 in IA__gtk_tree_model_unref_node (tree_model=0x844a530,
    iter=0xbfba2eb0) at gtktreemodel.c:1307
#14 0xb7bfccdd in gtk_tree_row_reference_unref_path (path=0x86146a0,
    model=0x844a530, depth=1) at gtktreemodel.c:1807
#15 0xb7bfd2b2 in IA__gtk_tree_row_reference_free (reference=0x85823f0)
    at gtktreemodel.c:2034
#16 0xb7c219ce in gtk_tree_view_destroy (object=0x8449940)
    at gtktreeview.c:1362
#17 0xb76d5ab3 in IA__g_cclosure_marshal_VOID__VOID (closure=0x80e2df0,

    return_value=0x0, n_param_values=1, param_values=0xbfba31ac,
    invocation_hint=0xbfba30ac, marshal_data=0xb7c218d1) at
gmarshal.c:77
#18 0xb76c9d75 in g_type_class_meta_marshal (closure=0x80e2df0,
    return_value=0x0, n_param_values=0, param_values=0xbfba31ac,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:569
#19 0xb76ca3a8 in IA__g_closure_invoke (closure=0x80e2df0,
return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:492
#20 0xb76d901f in signal_emit_unlocked_R (node=0x80e2e38, detail=0,
    instance=0x8449940, emission_return=0x0,
instance_and_params=0xbfba31ac)
    at gsignal.c:2601
#21 0xb76da150 in IA__g_signal_emit_valist (instance=0x8449...

Revision history for this message
Sebastien Bacher (seb128) wrote :

*** Bug 24183 has been marked as a duplicate of this bug. ***

Revision history for this message
Sebastien Bacher (seb128) wrote :

This bug has been fixed upstream

"2005-11-08 Martin Wehner <email address hidden>

 * src/file-manager/fm-tree-view.c: (create_tree):
 Connect the compare function before root nodes are added.
 Prevents the internal sort model of GtkTree from going
 out of sync with the tree view after a root node resort.
 Fixes #158506."

Revision history for this message
Sebastien Bacher (seb128) wrote :

Matt, this is a frequent crasher for us/upstream, the debdiff is simple:

--- nautilus-2.12.1/debian/changelog
+++ nautilus-2.12.1/debian/changelog
@@ -1,3 +1,10 @@
+nautilus (2.12.1-0ubuntu1.1) breezy-updates; urgency=low
+
+ * debian/patches/07_treecrasher_fix.patch:
+ - fix a crasher when updating the side pane (Ubuntu: #15651).
+
+ -- Sebastien Bacher <email address hidden> Wed, 9 Nov 2005 15:07:27 +0100
+
 nautilus (2.12.1-0ubuntu1) breezy; urgency=low

   * New upstream version:
only in patch2:
unchanged:
--- nautilus-2.12.1.orig/debian/patches/07_treecrasher_fix.patch
+++ nautilus-2.12.1/debian/patches/07_treecrasher_fix.patch
@@ -0,0 +1,28 @@
+===================================================================
+RCS file: /cvs/gnome/nautilus/src/file-manager/fm-tree-view.c,v
+retrieving revision 1.18
+retrieving revision 1.19
+diff -u -r1.18 -r1.19
+--- fm-tree-view.c 2005/09/30 12:55:32 1.18
++++ src/file-manager/fm-tree-view.c 2005/11/08 22:32:31 1.19
+@@ -1236,6 +1236,10 @@
+ view->details->tree_widget = GTK_TREE_VIEW
+ (gtk_tree_view_new_with_model (GTK_TREE_MODEL
(view->details->sort_model)));
+ g_object_unref (view->details->sort_model);
++
++ gtk_tree_sortable_set_default_sort_func (GTK_TREE_SORTABLE
(view->details->sort_model),
++ compare_rows, view, NULL);
++
+ g_signal_connect_object
+ (view->details->child_model, "row_loaded",
+ G_CALLBACK (row_loaded_callback),
+@@ -1263,9 +1267,6 @@
+
+ g_object_unref (view->details->child_model);
+
+- gtk_tree_sortable_set_default_sort_func (GTK_TREE_SORTABLE
(view->details->sort_model),
+- compare_rows, view, NULL);
+-
+ gtk_tree_view_set_headers_visible (view->details->tree_widget, FALSE);
+
+ view->details->drag_dest =

I've uploaded to breezy-updates, let me know if that's ok.

Revision history for this message
Matt Zimmerman (mdz) wrote :

breezy-updates upload approved, thanks

Revision history for this message
Sebastien Bacher (seb128) wrote :

Fixed for dapper too:

 nautilus (2.13.2-0ubuntu1) dapper; urgency=low
 .
   * New upstream version:
     - Fix mime list problem introduced with sort change
     - Build fixes
     - Keyboard support for icon stretching
     - Finally fix tree sidebar crash
     - ctrl-shift-g goes backwards in typeahead
     - Add Skip all button in copy/move conflict dialog
     - Position new files/folders correctly in manual layout mode
     - Nicer UI for setting custom file icons
     - Fix CD icon positioning on desktop
     - Fix desktop redraw issues on non-100% zoom levels
     - Use the same home icon always
   * debian/control.in:
     - updated the Build-Depends.

Revision history for this message
Vivek Taparia (vivektaparia) wrote :

Logs attached

Revision history for this message
Tim Lunn (darkxst) wrote :

Vivek, This looks to be a completely different bug than the original bug report here, you would be better off filing a new bug report for your issue.

Also a backtrace with debug symbols would be infinitely more helpful, easiest way is to submit via crash dialog from apport.

https://wiki.ubuntu.com/Apport#How_to_enable_apport

Revision history for this message
billio (billoldroyd) wrote :

Whilst looking at another application window, Nautilus reported error whilst trying to read a floppy disc drive which I do not have on my computer, and then crashed.

Revision history for this message
Tim Lunn (darkxst) wrote :

@billio, please file a new bug rather than tacking comments onto an old bug that has already been fixed!

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.